#ifndef __MX_ALTERNATOR_H
#define __MX_ALTERNATOR_H
#ifdef __cplusplus
 extern "C" {
#endif
//#include "uart.h"
#include <stdio.h>
#include <stdint.h>

//软件主版本
uint8_t getSoftMainVersion(void);
void setSoftMainVersion(uint8_t value);

//软件副版本
uint8_t getSoftSubVersion(void);
void setSoftSubVersion(uint8_t value);

//SetMode
uint8_t getSetMode(void);
void setSetMode(uint8_t value);

//速度信息
uint16_t getSpeedData(void);
void setSpeedData(uint16_t value);

//档位信息
uint8_t getGearInfo(void);
void setGearInfo(uint8_t value);

//总计里程
uint32_t getTotalMile(void);
void setTotalMile(uint32_t value);

//单次里程
uint32_t getTripMile(void);
void setTripMile(uint32_t value);

//小计里程清零
uint8_t getMileClearTags(void);
void setMileClearTags(uint8_t value);

//Wifi
uint8_t getWifi(void);
void setWifi(uint8_t value);

//蓝牙
uint8_t getBlueTooth(void);
void setBlueTooth(uint8_t value);

//转向
uint8_t getTurn(void);
void setTurn(uint8_t value);

//转向提示
uint8_t getTurnPrompt(void);
void setTurnPrompt(uint8_t value);

//转向灯
uint8_t getTurnLight(void);
void setTurnLight(uint8_t value);

//灯光
uint8_t getBeamLight(void);
void setBeamLight(uint8_t value);

//示宽灯
uint8_t getSideMarkerLight(void);
void setSideMarkerLight(uint8_t value);

//风扇灯
uint8_t getFanLight(void);
void setFanLight(uint8_t value);

//abs灯
uint8_t getABSLight(void);
void setABSLight(uint8_t value);

//机油压力灯
uint8_t getOilPressLight(void);
void setOilPressLight(uint8_t value);

//发动机故障灯
uint8_t getEngineLight(void);
void setEngineLight(uint8_t value);

//获取 油量/水温/电池电压刷新标志
uint8_t getRefreshTags(void);
void setRefreshTags(uint8_t value);

//灯光亮度,具体的light_value值
uint8_t getLightValue(void);
void setLightValue(uint8_t value);

//开机自检
uint8_t getSelfCheck(void);
void setSelfCheck(uint8_t value);

//UUID
char* getUUID(void);
void setUUID();

//BTname
char* getBTName(void);
void setBTName();

//蓝牙继承数据
uint8_t getBTDataInherit(void);
void setBTDataInherit(uint8_t value);

//当前故障码
uint16_t getCurrentFaultCode(void);
void setCurrentFaultCode(uint16_t value);

//历史故障码
uint16_t getHistoryFaultCode(void);
void setHistoryFaultCode(uint16_t value);

/*******告警信息begin*******/
//发动机故障
uint8_t getEngineErr(void);
void setEngineErr(uint8_t value);

//机油报警
uint8_t getEngineOilErr(void);
void setEngineOilErr(uint8_t value);

//abs故障
uint8_t getAbsErr(void);
void setAbsErr(uint8_t value);

//TCS故障
uint8_t getTCSErr(void);
void setTCSErr(uint8_t value);

//风扇故障
uint8_t getFanErr(void);
void setFanErr(uint8_t value);

//空档故障
uint8_t getNeutralGearErr(void);
void setNeutralGearErr(uint8_t value);

//水温故障
uint8_t getWaterTemperErr(void);
void setWaterTemperErr(uint8_t value);

//刹车故障
uint8_t getBrakesFaultErr(void);
void setBrakesFaultErr(uint8_t value);
/*******告警信息end*******/


//电池电量占比
uint8_t getBatteryRatio(void);
void setBatteryRatio(uint8_t value);

//电池电压
uint8_t getBatteryVoltage(void);
void setBatteryVoltage(uint8_t value);

//转速信息
uint16_t getEspeed(void);
void setEspeed(uint16_t value);

//油量指示
uint8_t getFuel(void);
void setFuel(uint8_t value);

//水温提示
uint8_t getWaterTemper(void);
void setWaterTemper(uint8_t value);

//电瓶电压
uint8_t getAccumulatorVolt(void);
void setAccumulatorVolt(uint8_t value);



#ifdef __cplusplus
}
#endif
#endif
